import { createContext } from 'react'
import { User } from '../models/user.model'

export interface UserContextProps {
  user: User
  setUser: React.Dispatch<any>
  loginUser: () => void
  error: null
  isLogged: boolean
}
export const UserContext = createContext<Partial<UserContextProps>>({})
